import dynamix_sdk.base as _base


class CloudapiUserGetResultModel(_base.BaseAPIResultModel):
    data: dict
    email_addresses: list[str]
    user_name: str


class CloudapiUserGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(self, *, user_name: str) -> CloudapiUserGetResultModel:
        ...
